/**********************************************************************************************//**
  @file       pixl_sensor.h
  @date       $Date$
  @revision   $Revision$

  @brief      PIXL Sensor Support
**************************************************************************************************/

#ifndef _PIXL_SENSOR_H
#define _PIXL_SENSOR_H

/***************************************************************************************************
 *                                            INCLUDES
 ***************************************************************************************************/
#include <stdint.h>
#include "ComTypeDefs.h"
//#include "pixl_intfc.h"

extern Result_t    read_sensors(void);
extern uint8_t     flow_populateSubPacket( uint8_t **pkt_pt, uint8_t num_of_flow_sens, uint16_t *bytes_rem );
extern uint8_t     dafe_populateSubPacket( uint8_t **pkt_pt, uint16_t *bytes_rem );
extern uint8_t     pixl_populateSubPacket( uint8_t **pkt_pt, uint16_t *bytes_rem );
extern uint8_t     aqua_populateSubPacket( uint8_t **pkt_pt, uint16_t *bytes_rem );

Result_t    dig_sensors(void);
void        show_aquacheck(void);
uint16_t    read_digital_sensor(void);
void        parse_digital_sensor(uint16_t byte_cnt);
Result_t    dequeueSensorPacket(void);
Result_t    enqueueSensorPacket( void );
void        process_digital_sensor (uint8_t *pkt_buffer);
void        print_digital_sensor_buf (uint8_t *pkt_buffer);
void        process_pixl_sensor (uint8_t *pkt_buffer);
void        process_dafe_sensor (uint8_t *pkt_buffer);

#endif // _PIXL_SENSOR_H
